### Hierarchy

- PromisedLanguageChains
- PromisedNumericComparison
  - PromisedLength

### Callable

- __call(length: number, message?: undefined | string): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:203

  #### Parameters

  - ##### length: number

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

## Index

### Properties

- above
- and
- at
- be
- been
- below
- but
- does
- eventually
- greaterThan
- gt
- gte
- has
- have
- is
- least
- lessThan
- lt
- lte
- most
- of
- same
- that
- to
- which
- with

### Methods

- within

## Properties

### above

above: PromisedNumberComparer

Inherited from PromisedNumericComparison.above

- Defined in node_modules/@types/chai-as-promised/index.d.ts:131

### and

and: PromisedAssertion

Inherited from PromisedLanguageChains.and

- Defined in node_modules/@types/chai-as-promised/index.d.ts:119

### at

at: PromisedAssertion

Inherited from PromisedLanguageChains.at

- Defined in node_modules/@types/chai-as-promised/index.d.ts:123

### be

be: PromisedAssertion

Inherited from PromisedLanguageChains.be

- Defined in node_modules/@types/chai-as-promised/index.d.ts:114

### been

been: PromisedAssertion

Inherited from PromisedLanguageChains.been

- Defined in node_modules/@types/chai-as-promised/index.d.ts:115

### below

below: PromisedNumberComparer

Inherited from PromisedNumericComparison.below

- Defined in node_modules/@types/chai-as-promised/index.d.ts:136

### but

but: PromisedAssertion

Inherited from PromisedLanguageChains.but

- Defined in node_modules/@types/chai-as-promised/index.d.ts:126

### does

does: PromisedAssertion

Inherited from PromisedLanguageChains.does

- Defined in node_modules/@types/chai-as-promised/index.d.ts:127

### eventually

eventually: Eventually

Inherited from PromisedLanguageChains.eventually

- Defined in node_modules/@types/chai-as-promised/index.d.ts:110

### greaterThan

greaterThan: PromisedNumberComparer

Inherited from PromisedNumericComparison.greaterThan

- Defined in node_modules/@types/chai-as-promised/index.d.ts:133

### gt

gt: PromisedNumberComparer

Inherited from PromisedNumericComparison.gt

- Defined in node_modules/@types/chai-as-promised/index.d.ts:132

### gte

gte: PromisedNumberComparer

Inherited from PromisedNumericComparison.gte

- Defined in node_modules/@types/chai-as-promised/index.d.ts:135

### has

has: PromisedAssertion

Inherited from PromisedLanguageChains.has

- Defined in node_modules/@types/chai-as-promised/index.d.ts:120

### have

have: PromisedAssertion

Inherited from PromisedLanguageChains.have

- Defined in node_modules/@types/chai-as-promised/index.d.ts:121

### is

is: PromisedAssertion

Inherited from PromisedLanguageChains.is

- Defined in node_modules/@types/chai-as-promised/index.d.ts:116

### least

least: PromisedNumberComparer

Inherited from PromisedNumericComparison.least

- Defined in node_modules/@types/chai-as-promised/index.d.ts:134

### lessThan

lessThan: PromisedNumberComparer

Inherited from PromisedNumericComparison.lessThan

- Defined in node_modules/@types/chai-as-promised/index.d.ts:138

### lt

lt: PromisedNumberComparer

Inherited from PromisedNumericComparison.lt

- Defined in node_modules/@types/chai-as-promised/index.d.ts:137

### lte

lte: PromisedNumberComparer

Inherited from PromisedNumericComparison.lte

- Defined in node_modules/@types/chai-as-promised/index.d.ts:140

### most

most: PromisedNumberComparer

Inherited from PromisedNumericComparison.most

- Defined in node_modules/@types/chai-as-promised/index.d.ts:139

### of

of: PromisedAssertion

Inherited from PromisedLanguageChains.of

- Defined in node_modules/@types/chai-as-promised/index.d.ts:124

### same

same: PromisedAssertion

Inherited from PromisedLanguageChains.same

- Defined in node_modules/@types/chai-as-promised/index.d.ts:125

### that

that: PromisedAssertion

Inherited from PromisedLanguageChains.that

- Defined in node_modules/@types/chai-as-promised/index.d.ts:117

### to

to: PromisedAssertion

Inherited from PromisedLanguageChains.to

- Defined in node_modules/@types/chai-as-promised/index.d.ts:113

### which

which: PromisedAssertion

Inherited from PromisedLanguageChains.which

- Defined in node_modules/@types/chai-as-promised/index.d.ts:118

### with

with: PromisedAssertion

Inherited from PromisedLanguageChains.with

- Defined in node_modules/@types/chai-as-promised/index.d.ts:122

## Methods

### within

- within(start: number, finish: number, message?: undefined | string): PromisedAssertion

- Inherited from PromisedNumericComparison.within

  - Defined in node_modules/@types/chai-as-promised/index.d.ts:141

  #### Parameters

  - ##### start: number

  - ##### finish: number

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

Generated using TypeDoc